Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
update world; revdep-rebuild; pyqt fails [DON'T CARE/FIXED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Fri Jul 30, 2010 1:11 pm    Post subject: update world; revdep-rebuild; pyqt fails [DON'T CARE/FIXED] Reply with quote

did my first world update in a month. did revdep-rebuild. it fails on pyqt. help?

Code:
 * Messages for package dev-python/PyQt-3.18.1:

 * Use PYTHON() instead of python variable. Use python_get_*() instead of PYVER* variables.
 * ERROR: dev-python/PyQt-3.18.1 failed:
 *   distutils_python_version() is banned
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 3410:  Called distutils_python_version
 *   environment, line 1026:  Called die
 * The specific snippet of code:
 *       die "${FUNCNAME}() is banned"
 *
 * If you need support, post the output of 'emerge --info =dev-python/PyQt-3.18.1',
 * the complete build log and the output of 'emerge -pqv =dev-python/PyQt-3.18.1'.
 * This ebuild is from an overlay named 'kde-sunset': '/usr/local/portage/layman/kde-sunset/'
 * The complete build log is located at '/var/tmp/portage/dev-python/PyQt-3.18.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/PyQt-3.18.1/temp/environment'.
 * S: '/var/tmp/portage/dev-python/PyQt-3.18.1/work/PyQt-x11-gpl-3.18.1'


my info,

Code:
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.4.3, glibc-2.11.2-r0, 2.6.30-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9400_@_2.53GHz-with-gentoo-1.12.13
Timestamp of tree: Thu, 29 Jul 2010 19:15:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.gentoo.no/ "
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/java-overlay /usr/local/portage/layman/mozilla /usr/local/portage/layman/kde-sunset /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avi berkdb bindist bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dhcpcd dri dts dvd dvdr dvdrw emboss encode exif faac faad fam firefox flac fortran gdbm gif gpm iconv ipod ipv6 jack jpeg lcms ldap libnotify m4a mad mikmod mmx mng modules mp3 mp4 mpeg mpg mplayer mudflap multilib ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pango pcre pdf perl pgn png ppds pppd python qt3support readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb v4l2 vcd vorbis x264 xcb xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Last edited by indietrash on Sat Jul 31, 2010 10:42 pm; edited 1 time in total
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7056

PostPosted: Fri Jul 30, 2010 5:22 pm    Post subject: Reply with quote

ran python-updater yet ?
(free, adding some others tools to run after big update: perl-cleaner --all, revdep-rebuild & lafilefixer --justfixit. can get them from lafilefixer & gentoolkit)
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Fri Jul 30, 2010 5:36 pm    Post subject: Reply with quote

Krinn, it's kde-sunset - it's supposed to be broken.
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Fri Jul 30, 2010 6:29 pm    Post subject: Reply with quote

VoidMage wrote:
Krinn, it's kde-sunset - it's supposed to be broken.


heh.

same problem as in https://bugs.gentoo.org/show_bug.cgi?id=328823

I guess the original reporter never bothered to report it to the mailing list...
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Fri Jul 30, 2010 9:36 pm    Post subject: Reply with quote

krinn wrote:
ran python-updater yet ?
(free, adding some others tools to run after big update: perl-cleaner --all, revdep-rebuild & lafilefixer --justfixit. can get them from lafilefixer & gentoolkit)


python-updater doesn't help.


VoidMage wrote:
Krinn, it's kde-sunset - it's supposed to be broken.


forcing people to upgrade is not cool.
Back to top
View user's profile Send private message
phajdan.jr
Retired Dev
Retired Dev


Joined: 23 Mar 2006
Posts: 1777
Location: Poland

PostPosted: Sat Jul 31, 2010 4:43 am    Post subject: Reply with quote

indietrash wrote:
forcing people to upgrade is not cool.


I think there are many tradeoffs here. Maybe the overlay's maintainers aren't aware of the problem yet. Have you reported the issue to them?

By the way, by discontinuing support for older software in portage, we can better support current software and continue adding new packages and new major version updates. A major update of QT or KDE or GNOME is not a trivial thing. :D
_________________
http://phajdan-jr.blogspot.com/
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Sat Jul 31, 2010 11:56 am    Post subject: Reply with quote

apparently kde-sunset is now just dead ebuilds that no one cares about. so yeah, never mind. I'm getting the (imo) atrocious amarok2 instead. =/


@phajdan.jr yeah I know you can't support old software. but amarok-1.4.x is so infinitely superior to other audio players.
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Sat Jul 31, 2010 12:32 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software, support questions for overlay packages belong in US.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
phajdan.jr
Retired Dev
Retired Dev


Joined: 23 Mar 2006
Posts: 1777
Location: Poland

PostPosted: Sat Jul 31, 2010 3:01 pm    Post subject: Reply with quote

indietrash wrote:
@phajdan.jr yeah I know you can't support old software. but amarok-1.4.x is so infinitely superior to other audio players.


Maybe Clementine is what you want then: http://www.clementine-player.org/. I think it's even in portage.
_________________
http://phajdan-jr.blogspot.com/
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Sat Jul 31, 2010 10:41 pm    Post subject: Reply with quote

hey man, I've converted to clementine today actually. been nagging the developers constantly, and they've added the features I've wanted. nice blokes. clementine is my new audio player, and it blows amarok out of the water. so I'm *very* satisfied with how this worked out. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum